Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class CompositeDataStats

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.CompositeDataStats

All Implemented Interfaces:
  Stats

public final class CompositeDataStats
extends java.lang.Object
implements Stats

Implementation of Stats which expects a CompositeData to contain the Statistics keyed by name, with values of CompositeData.

Constructor Summary
`CompositeDataStats(CompositeData compositeData)` Create a new CompositeDataStats using the specified CompositeData

Method Summary
`Statistic` | `getStatistic(java.lang.String statisticName)` Get a Statistic by name.
`java.lang.String[]` | `getStatisticNames()` Returns an array of Strings which are the names of the attributes from the specific Stats submodel that this object supports.
`Statistic[]` | `getStatistics()` Returns an array containing all of the Statistic objects supported by this Stats object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeDataStats

    public CompositeDataStats(CompositeData compositeData)

  Create a new CompositeDataStats using the specified CompositeData

Method Detail

### getStatistic

    public Statistic getStatistic(java.lang.String statisticName)

  Description copied from interface: `Stats`
  Get a Statistic by name.

  Specified by:
    `getStatistic` in interface `Stats`

### getStatisticNames

    public java.lang.String[] getStatisticNames()

  Description copied from interface: `Stats`
  Returns an array of Strings which are the names of the attributes from the specific Stats submodel that this object supports. Attributes named in the list must correspond to attributes that will return a Statistic object of the appropriate type which contains valid performance data. The return value of attributes in the Stats submodel that are not included in the statisticNames list must be null. For each name in the statisticNames list there must be one Statistic with the same name in the statistics list.

  Specified by:
    `getStatisticNames` in interface `Stats`

### getStatistics

    public Statistic[] getStatistics()

  Description copied from interface: `Stats`
  Returns an array containing all of the Statistic objects supported by this Stats object.

  Specified by:
    `getStatistics` in interface `Stats`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.